<?xml version="1.0" encoding="UTF-8"?>
<configuration scan="true" scanPeriod="5 minutes" debug="false">
  <statusListener class="ch.qos.logback.core.status.NopStatusListener"/>

  <appender name="FILE" class="ch.qos.logback.core.rolling.RollingFileAppender">
    <file>${LOG_DIR}/voice-server.log</file>
    <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
      <fileNamePattern>${LOG_DIR}/back/voice-server.%d{yyyy-MM-dd}.%d{HH:mm:ss,aux}.part%i.log.zip</fileNamePattern>
      <maxHistory>7</maxHistory>
      <cleanHistoryOnStart>true</cleanHistoryOnStart>
      <timeBasedFileNamingAndTriggeringPolicy class="com.flamesgroup.logback.core.rolling.StartupAndSizeAndTimeBasedFNATP">
        <maxFileSize>1GB</maxFileSize>
      </timeBasedFileNamingAndTriggeringPolicy>
    </rollingPolicy>
    <encoder>
      <pattern>%d{YYYY-MM-dd'T'HH:mm:ss.SSSXXX} %10r [%28thread] %5level: %-80msg -- %logger%n</pattern>
      <charset>UTF-8</charset>
    </encoder>
  </appender>

  <appender name="VOICE_SERVER_SCRIPTS" class="ch.qos.logback.core.rolling.RollingFileAppender">
    <file>${LOG_DIR}/voice-server-scripts.log</file>
    <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
      <fileNamePattern>${LOG_DIR}/back/voice-server-scripts.%d{yyyy-MM-dd}.%d{HH:mm:ss,aux}.part%i.log.zip</fileNamePattern>
      <maxHistory>7</maxHistory>
      <cleanHistoryOnStart>true</cleanHistoryOnStart>
      <timeBasedFileNamingAndTriggeringPolicy class="com.flamesgroup.logback.core.rolling.StartupAndSizeAndTimeBasedFNATP">
        <maxFileSize>1GB</maxFileSize>
      </timeBasedFileNamingAndTriggeringPolicy>
    </rollingPolicy>
    <encoder>
      <pattern>%d{YYYY-MM-dd'T'HH:mm:ss.SSSXXX} %10r [%28thread] %5level: %-80msg -- %logger%n</pattern>
      <charset>UTF-8</charset>
    </encoder>
  </appender>

  <appender name="VOICE_SERVER_MANAGER" class="ch.qos.logback.core.rolling.RollingFileAppender">
    <file>${LOG_DIR}/voice-server-manager.log</file>
    <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
      <fileNamePattern>${LOG_DIR}/back/voice-server-manager.%d{yyyy-MM-dd}.%d{HH:mm:ss,aux}.part%i.log.zip</fileNamePattern>
      <maxHistory>7</maxHistory>
      <cleanHistoryOnStart>true</cleanHistoryOnStart>
      <timeBasedFileNamingAndTriggeringPolicy class="com.flamesgroup.logback.core.rolling.StartupAndSizeAndTimeBasedFNATP">
        <maxFileSize>1GB</maxFileSize>
      </timeBasedFileNamingAndTriggeringPolicy>
    </rollingPolicy>
    <encoder>
      <pattern>%d{YYYY-MM-dd'T'HH:mm:ss.SSSXXX} %10r [%28thread] %5level: %-80msg -- %logger%n</pattern>
      <charset>UTF-8</charset>
    </encoder>
  </appender>

  <appender name="VOICE_SERVER_APDU" class="ch.qos.logback.core.rolling.RollingFileAppender">
    <file>${LOG_DIR}/voice-server-apdu.log</file>
    <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
      <fileNamePattern>${LOG_DIR}/back/voice-server-apdu.%d{yyyy-MM-dd}.%d{HH:mm:ss,aux}.part%i.log.zip</fileNamePattern>
      <maxHistory>3</maxHistory>
      <cleanHistoryOnStart>true</cleanHistoryOnStart>
      <timeBasedFileNamingAndTriggeringPolicy class="com.flamesgroup.logback.core.rolling.StartupAndSizeAndTimeBasedFNATP">
        <maxFileSize>1GB</maxFileSize>
      </timeBasedFileNamingAndTriggeringPolicy>
    </rollingPolicy>
    <encoder>
      <pattern>%d{YYYY-MM-dd'T'HH:mm:ss.SSSXXX} %10r [%28thread] %5level: %-80msg -- %logger%n</pattern>
      <charset>UTF-8</charset>
    </encoder>
  </appender>

  <appender name="CPU" class="ch.qos.logback.classic.sift.SiftingAppender">
    <timeout>365 days</timeout><!--SiftingAppender will not automatically close and remove nested appenders.-->
    <discriminator>
      <key>fileName</key>
      <defaultValue>cpu-all</defaultValue>
    </discriminator>
    <sift>
      <appender name="FILE-${fileName}" class="ch.qos.logback.core.rolling.RollingFileAppender">
        <file>${LOG_DIR}/cpu/${fileName}.log</file>
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
          <fileNamePattern>${LOG_DIR}/back/cpu/${fileName}.%d{yyyy-MM-dd}.%d{HH:mm:ss,aux}.part%i.log.zip</fileNamePattern>
          <maxHistory>3</maxHistory>
          <cleanHistoryOnStart>true</cleanHistoryOnStart>
          <timeBasedFileNamingAndTriggeringPolicy class="com.flamesgroup.logback.core.rolling.StartupAndSizeAndTimeBasedFNATP">
            <maxFileSize>1GB</maxFileSize>
          </timeBasedFileNamingAndTriggeringPolicy>
        </rollingPolicy>
        <encoder>
          <pattern>%d{YYYY-MM-dd'T'HH:mm:ss.SSSXXX} %level:%n%msg%n</pattern>
        </encoder>
      </appender>
    </sift>
  </appender>

  <appender name="CPU_JOURNAL" class="ch.qos.logback.classic.sift.SiftingAppender">
    <timeout>365 days</timeout><!--SiftingAppender will not automatically close and remove nested appenders.-->
    <discriminator>
      <key>fileName</key>
      <defaultValue>cpu-journal-all</defaultValue>
    </discriminator>
    <sift>
      <appender name="FILE-${fileName}" class="ch.qos.logback.core.rolling.RollingFileAppender">
        <file>${LOG_DIR}/cpu_journal/${fileName}.log</file>
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
          <fileNamePattern>${LOG_DIR}/back/cpu_journal/${fileName}.%d{yyyy-MM-dd}.%d{HH:mm:ss,aux}.part%i.log.zip</fileNamePattern>
          <timeBasedFileNamingAndTriggeringPolicy class="com.flamesgroup.logback.core.rolling.StartupAndSizeAndTimeBasedFNATP">
            <maxFileSize>1GB</maxFileSize>
          </timeBasedFileNamingAndTriggeringPolicy>
        </rollingPolicy>
        <encoder>
          <pattern>%msg%n</pattern>
        </encoder>
      </appender>
    </sift>
  </appender>

  <root>
    <level value="DEBUG"/>
    <appender-ref ref="FILE"/>
  </root>

  <logger name="com.flamesgroup">
    <level value="DEBUG"/>
  </logger>

  <logger name="com.flamesgroup.device">
    <level value="DEBUG"/>
  </logger>

  <logger name="com.flamesgroup.antrax.scripts" additivity="false">
    <level value="DEBUG"/>
    <appender-ref ref="VOICE_SERVER_SCRIPTS"/>
  </logger>

  <logger name="com.flamesgroup.antrax.helper" additivity="false">
    <level value="DEBUG"/>
    <appender-ref ref="VOICE_SERVER_SCRIPTS"/>
  </logger>

  <logger name="com.flamesgroup.antrax.voiceserver.manager.rtstat" additivity="false">
    <level value="INFO"/>
    <appender-ref ref="VOICE_SERVER_MANAGER"/>
  </logger>

  <logger name="com.flamesgroup.device.sc" additivity="false">
    <level value="WARN"/>
    <appender-ref ref="VOICE_SERVER_APDU"/>
  </logger>

  <logger name="cpu-logs" additivity="false">
    <level value="INFO"/>
    <appender-ref ref="CPU"/>
  </logger>

  <logger name="cpu-journal" additivity="false">
    <level value="INFO"/>
    <appender-ref ref="CPU_JOURNAL"/>
  </logger>
</configuration>
